View Issue Details

IDProjectCategoryView StatusLast Update
0005636Talerbank (demonstrator)public2019-12-20 19:11
ReporterMarcello Stanisci Assigned ToMarcello Stanisci  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Versiongit (master) 
Target Version0.6Fixed in Version0.6 
Summary0005636: Reduce code for /history.
DescriptionRight now, when a /history request arrives, the bank goes through _three_ functions that have all almost the same signature.
There must be the way to have only one function with that signature, and either use the other as "helpers" or just incorporate
their logic into the unique "mother" function.
TagsNo tags attached.

Activities

Marcello Stanisci

2019-03-20 17:14

viewer   ~0014221

Fixed in be54c58..105f09c.

Issue History

Date Modified Username Field Change
2019-03-07 23:20 Marcello Stanisci New Issue
2019-03-07 23:20 Marcello Stanisci Status new => assigned
2019-03-07 23:20 Marcello Stanisci Assigned To => Marcello Stanisci
2019-03-20 17:14 Marcello Stanisci Note Added: 0014221
2019-03-20 17:14 Marcello Stanisci Status assigned => resolved
2019-03-20 17:14 Marcello Stanisci Resolution open => fixed
2019-09-16 09:24 Christian Grothoff Product Version => git (master)
2019-09-16 09:24 Christian Grothoff Fixed in Version => 0.6
2019-09-16 09:24 Christian Grothoff Target Version => 0.6
2019-12-20 19:11 Christian Grothoff Status resolved => closed